#pragma once
#include <vector>
#include <string>

#include "RunData.h"
#include "GraphView.h"


struct Wrapper {
	RunData data;
	Wrapper(std::string metaLogFile) : data(metaLogFile){}
	std::vector<GraphView*> viewVec;
};


class Project
{
private:
	std::vector<Wrapper> runVec;
	std::vector<GraphView*> viewVec;
public:	
	void addMetalogFile(std::string metaLogFile);
	void removeRunData(RunData* data);
	void addGraphView(GraphView* view);
	//TODO what assigned
	void assignRunDataPointVecToView(RunData* data, std::vector<GraphDataPoint>* vec, GraphView* view);
};

